package body MSHTML.IHTMLFrameBase_Object is

   procedure Put_src
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_src,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_src;

   function Get_src
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_src);
   end Get_src;

   procedure Put_name
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_name);
   end Get_name;

   procedure Put_border
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_border,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_border;

   function Get_border
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_border);
   end Get_border;

   procedure Put_frameBorder
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_frameBorder,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_frameBorder;

   function Get_frameBorder
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_frameBorder);
   end Get_frameBorder;

   procedure Put_frameSpacing
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_frameSpacing,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_frameSpacing;

   function Get_frameSpacing
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_frameSpacing);
   end Get_frameSpacing;

   procedure Put_marginWidth
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_marginWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginWidth;

   function Get_marginWidth
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_marginWidth);
   end Get_marginWidth;

   procedure Put_marginHeight
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_marginHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_marginHeight;

   function Get_marginHeight
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_marginHeight);
   end Get_marginHeight;

   procedure Put_noResize
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_noResize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_noResize;

   function Get_noResize
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_noResize);
   end Get_noResize;

   procedure Put_scrolling
     (This : IHTMLFrameBase_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase_Put_scrolling,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrolling;

   function Get_scrolling
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase_Get_scrolling);
   end Get_scrolling;

end MSHTML.IHTMLFrameBase_Object;

